Name:           ocaml-pomap
Version:        3.0.2
Release:        %mkrel 2
Summary:        Library for maintaining partially ordered maps
License:        LGPL 2.1 with static compilation exception
Group:          Development/OCaml
URL:            https://bitbucket.org/mmottl/pomap
Source0:        https://bitbucket.org/mmottl/pomap/downloads/pomap-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
The Pomap-library implements an ADT that maintains maps of partially
ordered elements. Whereas a total order allows you to say whether some
element is lower, equal or greater than another one, partial orders also
allow for a "don't know"-case.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n pomap-%{version}

%build
make
make doc
mv _build/API.docdir/ html/

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/pomap
make install

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt
%dir %{_libdir}/ocaml/pomap
%{_libdir}/ocaml/pomap/META
%{_libdir}/ocaml/pomap/*.cmi
%{_libdir}/ocaml/pomap/*.cma
%{_libdir}/ocaml/pomap/*.cmxs

%files devel
%doc examples/
%doc html/
%{_libdir}/ocaml/pomap/*.a
%{_libdir}/ocaml/pomap/*.cmxa
%{_libdir}/ocaml/pomap/*.cmx
%{_libdir}/ocaml/pomap/*.mli
%{_libdir}/ocaml/pomap/*.ml


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 3.0.2-2.mga4
+ Revision: 508521
- Mageia 4 Mass Rebuild

  + blue_prawn <blue_prawn>
    - updated to last version 3.0.2

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-4.mga3
+ Revision: 361570
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 3.0.1-3.mga3
+ Revision: 301082
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 3.0.1-2.mga3
+ Revision: 300428
- new rpm group for ocaml

* Tue Aug 21 2012 blue_prawn <blue_prawn> 3.0.1-1.mga3
+ Revision: 283001
- updated to last version 3.0.1

* Thu Jan 12 2012 blue_prawn <blue_prawn> 2.9.9-1.mga2
+ Revision: 195343
- imported package ocaml-pomap

